=== debian/changelog ===
mpg123 (1.26.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control:
    - Drop dpkg-dev B-D satisfied in buster
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Dec 2020 10:49:40 +0100
