=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://sf.net/mpg123/mpg123-(.*)\.tar.bz2
