## mpg123 1.28.2

=== debian/changelog ===
mpg123 (1.28.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 10:58:42 +0200

mpg123 (1.28.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 22:12:06 +0200

mpg123 (1.28.0-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Remove --with-module-suffix
  * debian/control:
    - Add myself to Uploaders
    - Remove old Provides and Replaces
  * debian/copyright: Update copyright years and add myself
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Jun 2021 09:17:51 +0200
