=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Miguel A. Colón Vélez <debian.micove@gmail.com>
+ Miguel A. Colón Vélez <debian.micove@gmail.com>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
@@ -33,14 +34,6 @@
  oss-compat [linux-any],
  oss4-base [linux-any],
  pulseaudio
-Provides:
- mpg123-oss-3dnow
-Replaces:
- mpg123-alsa,
- mpg123-esd,
- mpg123-nas,
- mpg123-oss-3dnow,
- mpg123-oss-i486
 Description: MPEG layer 1/2/3 audio player
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
  1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
