## mpg123 1.29.3

=== debian/changelog ===
mpg123 (1.29.3-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: OOB write during PCM decoding
    - debian/patches/CVE-2024-10573.patch: don't prepare for actual frame
      data when there is none and separate header data into a struct,
      ensure late updating in frame in src/libmpg123/frame.c,
      src/libmpg123/frame.h, src/libmpg123/layer1.c,
      src/libmpg123/layer2.c, src/libmpg123/layer3.c,
      src/libmpg123/libmpg123.c, src/libmpg123/parse.c.
    - CVE-2024-10573

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 13:27:24 -0500

mpg123 (1.29.3-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:17:18 +0100

mpg123 (1.29.3-1) unstable; urgency=medium

  * New upstream version 1.29.3

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Dec 2021 23:49:00 +0100

mpg123 (1.29.2-1) unstable; urgency=medium

  * New upstream version 1.29.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Oct 2021 11:09:13 +0200

mpg123 (1.29.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

  [ Sebastian Ramacher ]
  * New upstream version 1.29.1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 09:17:48 +0200

mpg123 (1.29.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 23:17:52 +0200
