=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ARCH:=$(DEB_HOST_ARCH)
-OS:=$(DEB_HOST_ARCH_OS)
-CPU:=$(DEB_HOST_ARCH_CPU)
-
 WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
-ifeq ($(OS),linux)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	WRAPPER_TARGETS += mpg123-alsa
 endif
-ifneq ($(OS),hurd)
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	WRAPPER_TARGETS += mpg123-pulse
 endif
-
-CONF_COMMON:=--enable-static=no --enable-shared --enable-lfs-alias \
-	--with-module-suffix=.so
 
 CONF_i386:=--with-cpu=x86_dither
 CONF_arm:=--with-cpu=generic_fpu
@@ -28,7 +21,11 @@
 	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONF_COMMON) $(CONF_$(CPU))
+	dh_auto_configure -- \
+		--enable-static=no \
+		--enable-shared \
+		--enable-lfs-alias \
+		$(CONF_$(DEB_HOST_ARCH_CPU))
 
 override_dh_auto_clean:
 	dh_auto_clean
