## mpg123 1.30.2

=== debian/changelog ===
mpg123 (1.30.2-1) unstable; urgency=medium

  * New upstream version 1.30.2

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Aug 2022 22:35:46 +0200

mpg123 (1.30.1-1) unstable; urgency=medium

  * New upstream version 1.30.1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 15 Jul 2022 09:51:51 +0200

mpg123 (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * debian/control: Bump Standards-Version
  * debian/source/lintian-overrides: Override source-is-missing false-positive
  * debian/libmpg123-0.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Jun 2022 20:51:30 +0200
