=== debian/changelog ===
mpg123 (1.31.2-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix buffer overflow (Frankenstein's Monster) (CVE-2024-10573)
    (Closes: #1086443)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Nov 2024 16:26:42 +0100

mpg123 (1.31.2-1) unstable; urgency=medium

  * New upstream version 1.31.2
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Jan 2023 23:10:37 +0100

mpg123 (1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1
  * debian/: Move includes into arch-specific location (Closes: #1023493)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Nov 2022 19:56:50 +0100

mpg123 (1.31.0-1) unstable; urgency=medium

  * New upstream version 1.31.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Oct 2022 20:59:15 +0100
