## mpg123 1.31.3

=== debian/changelog ===
mpg123 (1.31.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 10:40:36 +0200

mpg123 (1.31.3-1) experimental; urgency=medium

  * New upstream version 1.31.3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Apr 2023 22:26:49 +0200
