## mpg123 1.32.3

=== ports/cmake/src/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,11 @@
 include(CheckIncludeFile)
 include(CheckIncludeFiles)
 include(CheckSymbolExists)
+include(CheckTypeSize)
 include(CMakeDependentOption)
 include(TestBigEndian)
+
+option(PORTABLE_API "Only build portable library API (no off_t, no internal I/O." OFF)
 
 check_include_file("arpa/inet.h" HAVE_ARPA_INET_H)
 check_include_file("dirent.h" HAVE_DIRENT_H)
@@ -54,15 +57,37 @@
 check_function_exists(setenv HAVE_SETENV)
 check_function_exists(unsetenv HAVE_UNSETENV)
 check_function_exists(setlocale HAVE_SETLOCALE)
+check_function_exists(uselocale HAVE_USELOCALE)
 check_function_exists(setpriority HAVE_SETPRIORITY)
 check_function_exists(shmget HAVE_SHMGET)
 check_function_exists(shmat HAVE_SHMAT)
 check_function_exists(shmdt HAVE_SHMDT)
 check_function_exists(shmctl HAVE_SHMCTL)
 check_function_exists(strerror HAVE_STRERROR)
+check_function_exists(strerror_l HAVE_STRERROR_L)
 check_function_exists(fork HAVE_FORK)
 check_function_exists(execvp HAVE_EXECVP)
 check_function_exists(ctermid HAVE_CTERMID)
+check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
+
+check_type_size(long SIZEOF_LONG)
+check_type_size(off_t SIZEOF_OFF_T)
+
+if(SIZEOF_OFF_T LESS 8)
+check_function_exists(lseek64 LFS_LARGEFILE_64)
+
+if(LFS_LARGEFILE_64)
+check_c_source_compiles(
+    "    #define _LARGEFILE64_SOURCE
+    #include <sys/types.h>
+    #include <sys/stat.h>
+    #include <unistd.h>
+    #include <fcntl.h>
+
+    int main(){ return open(\"/foo\", O_RDONLY|O_LARGEFILE); }
+    " HAVE_O_LARGEFILE)
+endif()
+endif()
 
 search_libs(gethostbyname GETHOSTBYNAME_LIB nsl socket network)
 search_libs(socket SOCKET_LIB socket)
@@ -82,26 +107,6 @@
 check_c_source_compiles(
     "int main() { __attribute__((aligned(16))) float var; return 0; }"
     CCALIGN)
-
-if(MSVC)
-    # Here, off_t is always 32 bit, the whole machinery doesn't work without explicit
-    # API for 64 bit file access.
-    unset(_FILE_OFFSET_BITS)
-    set(LFS_SENSITIVE OFF)
-    set(LFS_INSENSITIVE ON)
-    set(MPG123_LARGE_FILE_SUPPORT OFF)
-    # We disable all the dynamic naming with MSVC to avoid confusing consumers.
-    # Maybe it would be more proper to conditionit on LFS_INSENSTIIVE.
-    set(BUILD_NO_LARGENAME 1)
-else()
-    option(MPG123_LARGE_FILE_SUPPORT "Support large files (define _FILE_OFFSET_BITS)" ON)
-    if(MPG123_LARGE_FILE_SUPPORT)
-        set(_FILE_OFFSET_BITS 64)
-    else()
-        unset(_FILE_OFFSET_BITS)
-    endif()
-    set(BUILD_NO_LARGENAME 0)
-endif()
 
 if(NOT LFS_INSENSITIVE)
     check_c_source_compiles("
@@ -132,28 +137,22 @@
 endif()
 check_type_size(long SIZEOF_LONG)
 check_type_size(off_t SIZEOF_OFF_T)
-if(LFS_SENSITIVE)
-    set(LFS_ALIAS_TYPE long)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_LONG} * 8")
-elseif(CMAKE_ANDROID_ARCH_ABI)
-    check_type_size(off64_t SIZEOF_OFF64_T)
-    set(LFS_ALIAS_TYPE off64_t)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF64_T} * 8")
-else()
-    set(LFS_ALIAS_TYPE off_t)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF_T} * 8")
-endif()
 
 if(WIN32 AND HAVE_WINDOWS_H)
-    check_c_source_compiles("
-        #include <windows.h>
-
-        int main() {
-          LoadLibraryW(0);
-          GetProcAddress(0, 0);
-          FreeLibrary(0);
-        }"
-        HAVE_WIN_DL)
+    check_function_exists(GetThreadErrorMode HAVE_GETTHREADERRORMODE)
+    if(HAVE_GETTHREADERRORMODE)
+        check_c_source_compiles("
+            #include <windows.h>
+
+            int main() {
+              LoadLibraryW(0);
+              GetProcAddress(0, 0);
+              FreeLibrary(0);
+            }"
+            HAVE_WIN_DL)
+    else()
+        set(HAVE_WIN_DL OFF)
+    endif()
 else()
     function(check_dl)
         set(CMAKE_REQUIRED_LIBRARIES dl)
@@ -325,3 +324,4 @@
     endif()
 endif()
 cmake_dependent_option(NETWORK "network support (http streams / webradio)" ON "HAVE_NETWORK" OFF)
+option(NEWOLD_WRITE_SAMPLE "enable new/old WRITE_SAMPLE macro for non-accurate 16 bit output, faster on certain CPUs (default on on x86-32)" OFF)
