=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libltdl-dev,
  libopenal-dev,
  libpulse-dev [!hurd-i386],
- pkg-config,
+ pkgconf,
  portaudio19-dev
 Standards-Version: 4.6.2
 Homepage: http://mpg123.org/
